DNS Zones
List Dns Records
get
/dns/zones/{zone_uuid}/recordsList all records in a DNS zone.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
zone_uuid*string
Parámetros de consulta
record_type?DNSRecordType | null
Filter by record type
Valores
"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"Respuestas
Successful Response
application/json
array<DNSRecordOut>
uuid*string
name*string
record_type*DNSRecordType
Valores
"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formato
date-timeupdated_at*string
Formato
date-time